<?php




add_filter( 'cmb_meta_boxes', 'modeltheme_metaboxes' );
function modeltheme_metaboxes( array $meta_boxes ) {

    // Start with an underscore to hide fields from custom fields list
    $prefix = 'smartowl_';

    $fa_list_i = array(
      'fa fa-angellist' => '<i class="fa fa-angellist"></i>',
      'fa fa-area-chart' => '<i class="fa fa-area-chart"></i>',
      'fa fa-at' => '<i class="fa fa-at"></i>',
      'fa fa-bell-slash' => '<i class="fa fa-bell-slash"></i>',
      'fa fa-bell-slash-o' => '<i class="fa fa-bell-slash-o"></i>',
      'fa fa-bicycle' => '<i class="fa fa-bicycle"></i>',
      'fa fa-binoculars' => '<i class="fa fa-binoculars"></i>',
      'fa fa-birthday-cake' => '<i class="fa fa-birthday-cake"></i>',
      'fa fa-bus' => '<i class="fa fa-bus"></i>',
      'fa fa-calculator' => '<i class="fa fa-calculator"></i>',
      'fa fa-cc' => '<i class="fa fa-cc"></i>',
      'fa fa-cc-amex' => '<i class="fa fa-cc-amex"></i>',
      'fa fa-cc-discover' => '<i class="fa fa-cc-discover"></i>',
      'fa fa-cc-mastercard' => '<i class="fa fa-cc-mastercard"></i>',
      'fa fa-cc-paypal' => '<i class="fa fa-cc-paypal"></i>',
      'fa fa-cc-stripe' => '<i class="fa fa-cc-stripe"></i>',
      'fa fa-cc-visa' => '<i class="fa fa-cc-visa"></i>',
      'fa fa-copyright' => '<i class="fa fa-copyright"></i>',
      'fa fa-eyedropper' => '<i class="fa fa-eyedropper"></i>',
      'fa fa-futbol-o' => '<i class="fa fa-futbol-o"></i>',
      'fa fa-google-wallet' => '<i class="fa fa-google-wallet"></i>',
      'fa fa-ils' => '<i class="fa fa-ils"></i>',
      'fa fa-ioxhost' => '<i class="fa fa-ioxhost"></i>',
      'fa fa-lastfm' => '<i class="fa fa-lastfm"></i>',
      'fa fa-lastfm-square' => '<i class="fa fa-lastfm-square"></i>',
      'fa fa-line-chart' => '<i class="fa fa-line-chart"></i>',
      'fa fa-meanpath' => '<i class="fa fa-meanpath"></i>',
      'fa fa-newspaper-o' => '<i class="fa fa-newspaper-o"></i>',
      'fa fa-paint-brush' => '<i class="fa fa-paint-brush"></i>',
      'fa fa-paypal' => '<i class="fa fa-paypal"></i>',
      'fa fa-pie-chart' => '<i class="fa fa-pie-chart"></i>',
      'fa fa-plug' => '<i class="fa fa-plug"></i>',
      'fa fa-shekel' => '<i class="fa fa-shekel"></i>',
      'fa fa-sheqel' => '<i class="fa fa-sheqel"></i>',
      'fa fa-slideshare' => '<i class="fa fa-slideshare"></i>',
      'fa fa-soccer-ball-o' => '<i class="fa fa-soccer-ball-o"></i>',
      'fa fa-toggle-off' => '<i class="fa fa-toggle-off"></i>',
      'fa fa-toggle-on' => '<i class="fa fa-toggle-on"></i>',
      'fa fa-trash' => '<i class="fa fa-trash"></i>',
      'fa fa-tty' => '<i class="fa fa-tty"></i>',
      'fa fa-twitch' => '<i class="fa fa-twitch"></i>',
      'fa fa-wifi' => '<i class="fa fa-wifi"></i>',
      'fa fa-yelp' => '<i class="fa fa-yelp"></i>',
      'fa fa-adjust' => '<i class="fa fa-adjust"></i>',
      'fa fa-anchor' => '<i class="fa fa-anchor"></i>',
      'fa fa-archive' => '<i class="fa fa-archive"></i>',
      'fa fa-arrows' => '<i class="fa fa-arrows"></i>',
      'fa fa-arrows-h' => '<i class="fa fa-arrows-h"></i>',
      'fa fa-arrows-v' => '<i class="fa fa-arrows-v"></i>',
      'fa fa-asterisk' => '<i class="fa fa-asterisk"></i>',
      'fa fa-automobile' => '<i class="fa fa-automobile"></i>',
      'fa fa-ban' => '<i class="fa fa-ban"></i>',
      'fa fa-bank' => '<i class="fa fa-bank"></i>',
      'fa fa-bar-chart' => '<i class="fa fa-bar-chart"></i>',
      'fa fa-bar-chart-o' => '<i class="fa fa-bar-chart-o"></i>',
      'fa fa-barcode' => '<i class="fa fa-barcode"></i>',
      'fa fa-bars' => '<i class="fa fa-bars"></i>',
      'fa fa-beer' => '<i class="fa fa-beer"></i>',
      'fa fa-bell' => '<i class="fa fa-bell"></i>',
      'fa fa-bell-o' => '<i class="fa fa-bell-o"></i>',
      'fa fa-bolt' => '<i class="fa fa-bolt"></i>',
      'fa fa-bomb' => '<i class="fa fa-bomb"></i>',
      'fa fa-book' => '<i class="fa fa-book"></i>',
      'fa fa-bookmark' => '<i class="fa fa-bookmark"></i>',
      'fa fa-bookmark-o' => '<i class="fa fa-bookmark-o"></i>',
      'fa fa-briefcase' => '<i class="fa fa-briefcase"></i>',
      'fa fa-bug' => '<i class="fa fa-bug"></i>',
      'fa fa-building' => '<i class="fa fa-building"></i>',
      'fa fa-building-o' => '<i class="fa fa-building-o"></i>',
      'fa fa-bullhorn' => '<i class="fa fa-bullhorn"></i>',
      'fa fa-bullseye' => '<i class="fa fa-bullseye"></i>',
      'fa fa-cab' => '<i class="fa fa-cab"></i>',
      'fa fa-calendar' => '<i class="fa fa-calendar"></i>',
      'fa fa-calendar-o' => '<i class="fa fa-calendar-o"></i>',
      'fa fa-camera' => '<i class="fa fa-camera"></i>',
      'fa fa-camera-retro' => '<i class="fa fa-camera-retro"></i>',
      'fa fa-car' => '<i class="fa fa-car"></i>',
      'fa fa-caret-square-o-down' => '<i class="fa fa-caret-square-o-down"></i>',
      'fa fa-caret-square-o-left' => '<i class="fa fa-caret-square-o-left"></i>',
      'fa fa-caret-square-o-right' => '<i class="fa fa-caret-square-o-right"></i>',
      'fa fa-caret-square-o-up' => '<i class="fa fa-caret-square-o-up"></i>',
      'fa fa-certificate' => '<i class="fa fa-certificate"></i>',
      'fa fa-check' => '<i class="fa fa-check"></i>',
      'fa fa-check-circle' => '<i class="fa fa-check-circle"></i>',
      'fa fa-check-circle-o' => '<i class="fa fa-check-circle-o"></i>',
      'fa fa-check-square' => '<i class="fa fa-check-square"></i>',
      'fa fa-check-square-o' => '<i class="fa fa-check-square-o"></i>',
      'fa fa-child' => '<i class="fa fa-child"></i>',
      'fa fa-circle' => '<i class="fa fa-circle"></i>',
      'fa fa-circle-o' => '<i class="fa fa-circle-o"></i>',
      'fa fa-circle-o-notch' => '<i class="fa fa-circle-o-notch"></i>',
      'fa fa-circle-thin' => '<i class="fa fa-circle-thin"></i>',
      'fa fa-clock-o' => '<i class="fa fa-clock-o"></i>',
      'fa fa-close' => '<i class="fa fa-close"></i>',
      'fa fa-cloud' => '<i class="fa fa-cloud"></i>',
      'fa fa-cloud-download' => '<i class="fa fa-cloud-download"></i>',
      'fa fa-cloud-upload' => '<i class="fa fa-cloud-upload"></i>',
      'fa fa-code' => '<i class="fa fa-code"></i>',
      'fa fa-code-fork' => '<i class="fa fa-code-fork"></i>',
      'fa fa-coffee' => '<i class="fa fa-coffee"></i>',
      'fa fa-cog' => '<i class="fa fa-cog"></i>',
      'fa fa-cogs' => '<i class="fa fa-cogs"></i>',
      'fa fa-comment' => '<i class="fa fa-comment"></i>',
      'fa fa-comment-o' => '<i class="fa fa-comment-o"></i>',
      'fa fa-comments' => '<i class="fa fa-comments"></i>',
      'fa fa-comments-o' => '<i class="fa fa-comments-o"></i>',
      'fa fa-compass' => '<i class="fa fa-compass"></i>',
      'fa fa-credit-card' => '<i class="fa fa-credit-card"></i>',
      'fa fa-crop' => '<i class="fa fa-crop"></i>',
      'fa fa-crosshairs' => '<i class="fa fa-crosshairs"></i>',
      'fa fa-cube' => '<i class="fa fa-cube"></i>',
      'fa fa-cubes' => '<i class="fa fa-cubes"></i>',
      'fa fa-cutlery' => '<i class="fa fa-cutlery"></i>',
      'fa fa-dashboard' => '<i class="fa fa-dashboard"></i>',
      'fa fa-database' => '<i class="fa fa-database"></i>',
      'fa fa-desktop' => '<i class="fa fa-desktop"></i>',
      'fa fa-dot-circle-o' => '<i class="fa fa-dot-circle-o"></i>',
      'fa fa-download' => '<i class="fa fa-download"></i>',
      'fa fa-edit' => '<i class="fa fa-edit"></i>',
      'fa fa-ellipsis-h' => '<i class="fa fa-ellipsis-h"></i>',
      'fa fa-ellipsis-v' => '<i class="fa fa-ellipsis-v"></i>',
      'fa fa-envelope' => '<i class="fa fa-envelope"></i>',
      'fa fa-envelope-o' => '<i class="fa fa-envelope-o"></i>',
      'fa fa-envelope-square' => '<i class="fa fa-envelope-square"></i>',
      'fa fa-eraser' => '<i class="fa fa-eraser"></i>',
      'fa fa-exchange' => '<i class="fa fa-exchange"></i>',
      'fa fa-exclamation' => '<i class="fa fa-exclamation"></i>',
      'fa fa-exclamation-circle' => '<i class="fa fa-exclamation-circle"></i>',
      'fa fa-exclamation-triangle' => '<i class="fa fa-exclamation-triangle"></i>',
      'fa fa-external-link' => '<i class="fa fa-external-link"></i>',
      'fa fa-external-link-square' => '<i class="fa fa-external-link-square"></i>',
      'fa fa-eye' => '<i class="fa fa-eye"></i>',
      'fa fa-eye-slash' => '<i class="fa fa-eye-slash"></i>',
      'fa fa-fax' => '<i class="fa fa-fax"></i>',
      'fa fa-female' => '<i class="fa fa-female"></i>',
      'fa fa-fighter-jet' => '<i class="fa fa-fighter-jet"></i>',
      'fa fa-file-archive-o' => '<i class="fa fa-file-archive-o"></i>',
      'fa fa-file-audio-o' => '<i class="fa fa-file-audio-o"></i>',
      'fa fa-file-code-o' => '<i class="fa fa-file-code-o"></i>',
      'fa fa-file-excel-o' => '<i class="fa fa-file-excel-o"></i>',
      'fa fa-file-image-o' => '<i class="fa fa-file-image-o"></i>',
      'fa fa-file-movie-o' => '<i class="fa fa-file-movie-o"></i>',
      'fa fa-file-pdf-o' => '<i class="fa fa-file-pdf-o"></i>',
      'fa fa-file-photo-o' => '<i class="fa fa-file-photo-o"></i>',
      'fa fa-file-picture-o' => '<i class="fa fa-file-picture-o"></i>',
      'fa fa-file-powerpoint-o' => '<i class="fa fa-file-powerpoint-o"></i>',
      'fa fa-file-sound-o' => '<i class="fa fa-file-sound-o"></i>',
      'fa fa-file-video-o' => '<i class="fa fa-file-video-o"></i>',
      'fa fa-file-word-o' => '<i class="fa fa-file-word-o"></i>',
      'fa fa-file-zip-o' => '<i class="fa fa-file-zip-o"></i>',
      'fa fa-film' => '<i class="fa fa-film"></i>',
      'fa fa-filter' => '<i class="fa fa-filter"></i>',
      'fa fa-fire' => '<i class="fa fa-fire"></i>',
      'fa fa-fire-extinguisher' => '<i class="fa fa-fire-extinguisher"></i>',
      'fa fa-flag' => '<i class="fa fa-flag"></i>',
      'fa fa-flag-checkered' => '<i class="fa fa-flag-checkered"></i>',
      'fa fa-flag-o' => '<i class="fa fa-flag-o"></i>',
      'fa fa-flash' => '<i class="fa fa-flash"></i>',
      'fa fa-flask' => '<i class="fa fa-flask"></i>',
      'fa fa-folder' => '<i class="fa fa-folder"></i>',
      'fa fa-folder-o' => '<i class="fa fa-folder-o"></i>',
      'fa fa-folder-open' => '<i class="fa fa-folder-open"></i>',
      'fa fa-folder-open-o' => '<i class="fa fa-folder-open-o"></i>',
      'fa fa-frown-o' => '<i class="fa fa-frown-o"></i>',
      'fa fa-gamepad' => '<i class="fa fa-gamepad"></i>',
      'fa fa-gavel' => '<i class="fa fa-gavel"></i>',
      'fa fa-gear' => '<i class="fa fa-gear"></i>',
      'fa fa-gears' => '<i class="fa fa-gears"></i>',
      'fa fa-gift' => '<i class="fa fa-gift"></i>',
      'fa fa-glass' => '<i class="fa fa-glass"></i>',
      'fa fa-globe' => '<i class="fa fa-globe"></i>',
      'fa fa-graduation-cap' => '<i class="fa fa-graduation-cap"></i>',
      'fa fa-group' => '<i class="fa fa-group"></i>',
      'fa fa-hdd-o' => '<i class="fa fa-hdd-o"></i>',
      'fa fa-headphones' => '<i class="fa fa-headphones"></i>',
      'fa fa-heart' => '<i class="fa fa-heart"></i>',
      'fa fa-heart-o' => '<i class="fa fa-heart-o"></i>',
      'fa fa-history' => '<i class="fa fa-history"></i>',
      'fa fa-home' => '<i class="fa fa-home"></i>',
      'fa fa-image' => '<i class="fa fa-image"></i>',
      'fa fa-inbox' => '<i class="fa fa-inbox"></i>',
      'fa fa-info' => '<i class="fa fa-info"></i>',
      'fa fa-info-circle' => '<i class="fa fa-info-circle"></i>',
      'fa fa-institution' => '<i class="fa fa-institution"></i>',
      'fa fa-key' => '<i class="fa fa-key"></i>',
      'fa fa-keyboard-o' => '<i class="fa fa-keyboard-o"></i>',
      'fa fa-language' => '<i class="fa fa-language"></i>',
      'fa fa-laptop' => '<i class="fa fa-laptop"></i>',
      'fa fa-leaf' => '<i class="fa fa-leaf"></i>',
      'fa fa-legal' => '<i class="fa fa-legal"></i>',
      'fa fa-lemon-o' => '<i class="fa fa-lemon-o"></i>',
      'fa fa-level-down' => '<i class="fa fa-level-down"></i>',
      'fa fa-level-up' => '<i class="fa fa-level-up"></i>',
      'fa fa-life-bouy' => '<i class="fa fa-life-bouy"></i>',
      'fa fa-life-buoy' => '<i class="fa fa-life-buoy"></i>',
      'fa fa-life-ring' => '<i class="fa fa-life-ring"></i>',
      'fa fa-life-saver' => '<i class="fa fa-life-saver"></i>',
      'fa fa-lightbulb-o' => '<i class="fa fa-lightbulb-o"></i>',
      'fa fa-location-arrow' => '<i class="fa fa-location-arrow"></i>',
      'fa fa-lock' => '<i class="fa fa-lock"></i>',
      'fa fa-magic' => '<i class="fa fa-magic"></i>',
      'fa fa-magnet' => '<i class="fa fa-magnet"></i>',
      'fa fa-mail-forward' => '<i class="fa fa-mail-forward"></i>',
      'fa fa-mail-reply' => '<i class="fa fa-mail-reply"></i>',
      'fa fa-mail-reply-all' => '<i class="fa fa-mail-reply-all"></i>',
      'fa fa-male' => '<i class="fa fa-male"></i>',
      'fa fa-map-marker' => '<i class="fa fa-map-marker"></i>',
      'fa fa-meh-o' => '<i class="fa fa-meh-o"></i>',
      'fa fa-microphone' => '<i class="fa fa-microphone"></i>',
      'fa fa-microphone-slash' => '<i class="fa fa-microphone-slash"></i>',
      'fa fa-minus' => '<i class="fa fa-minus"></i>',
      'fa fa-minus-circle' => '<i class="fa fa-minus-circle"></i>',
      'fa fa-minus-square' => '<i class="fa fa-minus-square"></i>',
      'fa fa-minus-square-o' => '<i class="fa fa-minus-square-o"></i>',
      'fa fa-mobile' => '<i class="fa fa-mobile"></i>',
      'fa fa-mobile-phone' => '<i class="fa fa-mobile-phone"></i>',
      'fa fa-money' => '<i class="fa fa-money"></i>',
      'fa fa-moon-o' => '<i class="fa fa-moon-o"></i>',
      'fa fa-mortar-board' => '<i class="fa fa-mortar-board"></i>',
      'fa fa-music' => '<i class="fa fa-music"></i>',
      'fa fa-navicon' => '<i class="fa fa-navicon"></i>',
      'fa fa-paper-plane' => '<i class="fa fa-paper-plane"></i>',
      'fa fa-paper-plane-o' => '<i class="fa fa-paper-plane-o"></i>',
      'fa fa-paw' => '<i class="fa fa-paw"></i>',
      'fa fa-pencil' => '<i class="fa fa-pencil"></i>',
      'fa fa-pencil-square' => '<i class="fa fa-pencil-square"></i>',
      'fa fa-pencil-square-o' => '<i class="fa fa-pencil-square-o"></i>',
      'fa fa-phone' => '<i class="fa fa-phone"></i>',
      'fa fa-phone-square' => '<i class="fa fa-phone-square"></i>',
      'fa fa-photo' => '<i class="fa fa-photo"></i>',
      'fa fa-picture-o' => '<i class="fa fa-picture-o"></i>',
      'fa fa-plane' => '<i class="fa fa-plane"></i>',
      'fa fa-plus' => '<i class="fa fa-plus"></i>',
      'fa fa-plus-circle' => '<i class="fa fa-plus-circle"></i>',
      'fa fa-plus-square' => '<i class="fa fa-plus-square"></i>',
      'fa fa-plus-square-o' => '<i class="fa fa-plus-square-o"></i>',
      'fa fa-power-off' => '<i class="fa fa-power-off"></i>',
      'fa fa-print' => '<i class="fa fa-print"></i>',
      'fa fa-puzzle-piece' => '<i class="fa fa-puzzle-piece"></i>',
      'fa fa-qrcode' => '<i class="fa fa-qrcode"></i>',
      'fa fa-question' => '<i class="fa fa-question"></i>',
      'fa fa-question-circle' => '<i class="fa fa-question-circle"></i>',
      'fa fa-quote-left' => '<i class="fa fa-quote-left"></i>',
      'fa fa-quote-right' => '<i class="fa fa-quote-right"></i>',
      'fa fa-random' => '<i class="fa fa-random"></i>',
      'fa fa-recycle' => '<i class="fa fa-recycle"></i>',
      'fa fa-refresh' => '<i class="fa fa-refresh"></i>',
      'fa fa-remove' => '<i class="fa fa-remove"></i>',
      'fa fa-reorder' => '<i class="fa fa-reorder"></i>',
      'fa fa-reply' => '<i class="fa fa-reply"></i>',
      'fa fa-reply-all' => '<i class="fa fa-reply-all"></i>',
      'fa fa-retweet' => '<i class="fa fa-retweet"></i>',
      'fa fa-road' => '<i class="fa fa-road"></i>',
      'fa fa-rocket' => '<i class="fa fa-rocket"></i>',
      'fa fa-rss' => '<i class="fa fa-rss"></i>',
      'fa fa-rss-square' => '<i class="fa fa-rss-square"></i>',
      'fa fa-search' => '<i class="fa fa-search"></i>',
      'fa fa-search-minus' => '<i class="fa fa-search-minus"></i>',
      'fa fa-search-plus' => '<i class="fa fa-search-plus"></i>',
      'fa fa-send' => '<i class="fa fa-send"></i>',
      'fa fa-send-o' => '<i class="fa fa-send-o"></i>',
      'fa fa-share' => '<i class="fa fa-share"></i>',
      'fa fa-share-alt' => '<i class="fa fa-share-alt"></i>',
      'fa fa-share-alt-square' => '<i class="fa fa-share-alt-square"></i>',
      'fa fa-share-square' => '<i class="fa fa-share-square"></i>',
      'fa fa-share-square-o' => '<i class="fa fa-share-square-o"></i>',
      'fa fa-shield' => '<i class="fa fa-shield"></i>',
      'fa fa-shopping-cart' => '<i class="fa fa-shopping-cart"></i>',
      'fa fa-sign-in' => '<i class="fa fa-sign-in"></i>',
      'fa fa-sign-out' => '<i class="fa fa-sign-out"></i>',
      'fa fa-signal' => '<i class="fa fa-signal"></i>',
      'fa fa-sitemap' => '<i class="fa fa-sitemap"></i>',
      'fa fa-sliders' => '<i class="fa fa-sliders"></i>',
      'fa fa-smile-o' => '<i class="fa fa-smile-o"></i>',
      'fa fa-sort' => '<i class="fa fa-sort"></i>',
      'fa fa-sort-alpha-asc' => '<i class="fa fa-sort-alpha-asc"></i>',
      'fa fa-sort-alpha-desc' => '<i class="fa fa-sort-alpha-desc"></i>',
      'fa fa-sort-amount-asc' => '<i class="fa fa-sort-amount-asc"></i>',
      'fa fa-sort-amount-desc' => '<i class="fa fa-sort-amount-desc"></i>',
      'fa fa-sort-asc' => '<i class="fa fa-sort-asc"></i>',
      'fa fa-sort-desc' => '<i class="fa fa-sort-desc"></i>',
      'fa fa-sort-down' => '<i class="fa fa-sort-down"></i>',
      'fa fa-sort-numeric-asc' => '<i class="fa fa-sort-numeric-asc"></i>',
      'fa fa-sort-numeric-desc' => '<i class="fa fa-sort-numeric-desc"></i>',
      'fa fa-sort-up' => '<i class="fa fa-sort-up"></i>',
      'fa fa-space-shuttle' => '<i class="fa fa-space-shuttle"></i>',
      'fa fa-spinner' => '<i class="fa fa-spinner"></i>',
      'fa fa-spoon' => '<i class="fa fa-spoon"></i>',
      'fa fa-square' => '<i class="fa fa-square"></i>',
      'fa fa-square-o' => '<i class="fa fa-square-o"></i>',
      'fa fa-star' => '<i class="fa fa-star"></i>',
      'fa fa-star-half' => '<i class="fa fa-star-half"></i>',
      'fa fa-star-half-empty' => '<i class="fa fa-star-half-empty"></i>',
      'fa fa-star-half-full' => '<i class="fa fa-star-half-full"></i>',
      'fa fa-star-half-o' => '<i class="fa fa-star-half-o"></i>',
      'fa fa-star-o' => '<i class="fa fa-star-o"></i>',
      'fa fa-suitcase' => '<i class="fa fa-suitcase"></i>',
      'fa fa-sun-o' => '<i class="fa fa-sun-o"></i>',
      'fa fa-support' => '<i class="fa fa-support"></i>',
      'fa fa-tablet' => '<i class="fa fa-tablet"></i>',
      'fa fa-tachometer' => '<i class="fa fa-tachometer"></i>',
      'fa fa-tag' => '<i class="fa fa-tag"></i>',
      'fa fa-tags' => '<i class="fa fa-tags"></i>',
      'fa fa-tasks' => '<i class="fa fa-tasks"></i>',
      'fa fa-taxi' => '<i class="fa fa-taxi"></i>',
      'fa fa-terminal' => '<i class="fa fa-terminal"></i>',
      'fa fa-thumb-tack' => '<i class="fa fa-thumb-tack"></i>',
      'fa fa-thumbs-down' => '<i class="fa fa-thumbs-down"></i>',
      'fa fa-thumbs-o-down' => '<i class="fa fa-thumbs-o-down"></i>',
      'fa fa-thumbs-o-up' => '<i class="fa fa-thumbs-o-up"></i>',
      'fa fa-thumbs-up' => '<i class="fa fa-thumbs-up"></i>',
      'fa fa-ticket' => '<i class="fa fa-ticket"></i>',
      'fa fa-times' => '<i class="fa fa-times"></i>',
      'fa fa-times-circle' => '<i class="fa fa-times-circle"></i>',
      'fa fa-times-circle-o' => '<i class="fa fa-times-circle-o"></i>',
      'fa fa-tint' => '<i class="fa fa-tint"></i>',
      'fa fa-toggle-down' => '<i class="fa fa-toggle-down"></i>',
      'fa fa-toggle-left' => '<i class="fa fa-toggle-left"></i>',
      'fa fa-toggle-right' => '<i class="fa fa-toggle-right"></i>',
      'fa fa-toggle-up' => '<i class="fa fa-toggle-up"></i>',
      'fa fa-trash-o' => '<i class="fa fa-trash-o"></i>',
      'fa fa-tree' => '<i class="fa fa-tree"></i>',
      'fa fa-trophy' => '<i class="fa fa-trophy"></i>',
      'fa fa-truck' => '<i class="fa fa-truck"></i>',
      'fa fa-umbrella' => '<i class="fa fa-umbrella"></i>',
      'fa fa-university' => '<i class="fa fa-university"></i>',
      'fa fa-unlock' => '<i class="fa fa-unlock"></i>',
      'fa fa-unlock-alt' => '<i class="fa fa-unlock-alt"></i>',
      'fa fa-unsorted' => '<i class="fa fa-unsorted"></i>',
      'fa fa-upload' => '<i class="fa fa-upload"></i>',
      'fa fa-user' => '<i class="fa fa-user"></i>',
      'fa fa-users' => '<i class="fa fa-users"></i>',
      'fa fa-video-camera' => '<i class="fa fa-video-camera"></i>',
      'fa fa-volume-down' => '<i class="fa fa-volume-down"></i>',
      'fa fa-volume-off' => '<i class="fa fa-volume-off"></i>',
      'fa fa-volume-up' => '<i class="fa fa-volume-up"></i>',
      'fa fa-warning' => '<i class="fa fa-warning"></i>',
      'fa fa-wheelchair' => '<i class="fa fa-wheelchair"></i>',
      'fa fa-wrench' => '<i class="fa fa-wrench"></i>',
      'fa fa-file' => '<i class="fa fa-file"></i>',
      'fa fa-file-o' => '<i class="fa fa-file-o"></i>',
      'fa fa-file-text' => '<i class="fa fa-file-text"></i>',
      'fa fa-file-text-o' => '<i class="fa fa-file-text-o"></i>',
      'fa fa-bitcoin' => '<i class="fa fa-bitcoin"></i>',
      'fa fa-btc' => '<i class="fa fa-btc"></i>',
      'fa fa-cny' => '<i class="fa fa-cny"></i>',
      'fa fa-dollar' => '<i class="fa fa-dollar"></i>',
      'fa fa-eur' => '<i class="fa fa-eur"></i>',
      'fa fa-euro' => '<i class="fa fa-euro"></i>',
      'fa fa-gbp' => '<i class="fa fa-gbp"></i>',
      'fa fa-inr' => '<i class="fa fa-inr"></i>',
      'fa fa-jpy' => '<i class="fa fa-jpy"></i>',
      'fa fa-krw' => '<i class="fa fa-krw"></i>',
      'fa fa-rmb' => '<i class="fa fa-rmb"></i>',
      'fa fa-rouble' => '<i class="fa fa-rouble"></i>',
      'fa fa-rub' => '<i class="fa fa-rub"></i>',
      'fa fa-ruble' => '<i class="fa fa-ruble"></i>',
      'fa fa-rupee' => '<i class="fa fa-rupee"></i>',
      'fa fa-try' => '<i class="fa fa-try"></i>',
      'fa fa-turkish-lira' => '<i class="fa fa-turkish-lira"></i>',
      'fa fa-usd' => '<i class="fa fa-usd"></i>',
      'fa fa-won' => '<i class="fa fa-won"></i>',
      'fa fa-yen' => '<i class="fa fa-yen"></i>',
      'fa fa-align-center' => '<i class="fa fa-align-center"></i>',
      'fa fa-align-justify' => '<i class="fa fa-align-justify"></i>',
      'fa fa-align-left' => '<i class="fa fa-align-left"></i>',
      'fa fa-align-right' => '<i class="fa fa-align-right"></i>',
      'fa fa-bold' => '<i class="fa fa-bold"></i>',
      'fa fa-chain' => '<i class="fa fa-chain"></i>',
      'fa fa-chain-broken' => '<i class="fa fa-chain-broken"></i>',
      'fa fa-clipboard' => '<i class="fa fa-clipboard"></i>',
      'fa fa-columns' => '<i class="fa fa-columns"></i>',
      'fa fa-copy' => '<i class="fa fa-copy"></i>',
      'fa fa-cut' => '<i class="fa fa-cut"></i>',
      'fa fa-dedent' => '<i class="fa fa-dedent"></i>',
      'fa fa-files-o' => '<i class="fa fa-files-o"></i>',
      'fa fa-floppy-o' => '<i class="fa fa-floppy-o"></i>',
      'fa fa-font' => '<i class="fa fa-font"></i>',
      'fa fa-header' => '<i class="fa fa-header"></i>',
      'fa fa-indent' => '<i class="fa fa-indent"></i>',
      'fa fa-italic' => '<i class="fa fa-italic"></i>',
      'fa fa-link' => '<i class="fa fa-link"></i>',
      'fa fa-list' => '<i class="fa fa-list"></i>',
      'fa fa-list-alt' => '<i class="fa fa-list-alt"></i>',
      'fa fa-list-ol' => '<i class="fa fa-list-ol"></i>',
      'fa fa-list-ul' => '<i class="fa fa-list-ul"></i>',
      'fa fa-outdent' => '<i class="fa fa-outdent"></i>',
      'fa fa-paperclip' => '<i class="fa fa-paperclip"></i>',
      'fa fa-paragraph' => '<i class="fa fa-paragraph"></i>',
      'fa fa-paste' => '<i class="fa fa-paste"></i>',
      'fa fa-repeat' => '<i class="fa fa-repeat"></i>',
      'fa fa-rotate-left' => '<i class="fa fa-rotate-left"></i>',
      'fa fa-rotate-right' => '<i class="fa fa-rotate-right"></i>',
      'fa fa-save' => '<i class="fa fa-save"></i>',
      'fa fa-scissors' => '<i class="fa fa-scissors"></i>',
      'fa fa-strikethrough' => '<i class="fa fa-strikethrough"></i>',
      'fa fa-subscript' => '<i class="fa fa-subscript"></i>',
      'fa fa-superscript' => '<i class="fa fa-superscript"></i>',
      'fa fa-table' => '<i class="fa fa-table"></i>',
      'fa fa-text-height' => '<i class="fa fa-text-height"></i>',
      'fa fa-text-width' => '<i class="fa fa-text-width"></i>',
      'fa fa-th' => '<i class="fa fa-th"></i>',
      'fa fa-th-large' => '<i class="fa fa-th-large"></i>',
      'fa fa-th-list' => '<i class="fa fa-th-list"></i>',
      'fa fa-underline' => '<i class="fa fa-underline"></i>',
      'fa fa-undo' => '<i class="fa fa-undo"></i>',
      'fa fa-unlink' => '<i class="fa fa-unlink"></i>',
      'fa fa-angle-double-down' => '<i class="fa fa-angle-double-down"></i>',
      'fa fa-angle-double-left' => '<i class="fa fa-angle-double-left"></i>',
      'fa fa-angle-double-right' => '<i class="fa fa-angle-double-right"></i>',
      'fa fa-angle-double-up' => '<i class="fa fa-angle-double-up"></i>',
      'fa fa-angle-down' => '<i class="fa fa-angle-down"></i>',
      'fa fa-angle-left' => '<i class="fa fa-angle-left"></i>',
      'fa fa-angle-right' => '<i class="fa fa-angle-right"></i>',
      'fa fa-angle-up' => '<i class="fa fa-angle-up"></i>',
      'fa fa-arrow-circle-down' => '<i class="fa fa-arrow-circle-down"></i>',
      'fa fa-arrow-circle-left' => '<i class="fa fa-arrow-circle-left"></i>',
      'fa fa-arrow-circle-o-down' => '<i class="fa fa-arrow-circle-o-down"></i>',
      'fa fa-arrow-circle-o-left' => '<i class="fa fa-arrow-circle-o-left"></i>',
      'fa fa-arrow-circle-o-right' => '<i class="fa fa-arrow-circle-o-right"></i>',
      'fa fa-arrow-circle-o-up' => '<i class="fa fa-arrow-circle-o-up"></i>',
      'fa fa-arrow-circle-right' => '<i class="fa fa-arrow-circle-right"></i>',
      'fa fa-arrow-circle-up' => '<i class="fa fa-arrow-circle-up"></i>',
      'fa fa-arrow-down' => '<i class="fa fa-arrow-down"></i>',
      'fa fa-arrow-left' => '<i class="fa fa-arrow-left"></i>',
      'fa fa-arrow-right' => '<i class="fa fa-arrow-right"></i>',
      'fa fa-arrow-up' => '<i class="fa fa-arrow-up"></i>',
      'fa fa-arrows-alt' => '<i class="fa fa-arrows-alt"></i>',
      'fa fa-caret-down' => '<i class="fa fa-caret-down"></i>',
      'fa fa-caret-left' => '<i class="fa fa-caret-left"></i>',
      'fa fa-caret-right' => '<i class="fa fa-caret-right"></i>',
      'fa fa-caret-up' => '<i class="fa fa-caret-up"></i>',
      'fa fa-chevron-circle-down' => '<i class="fa fa-chevron-circle-down"></i>',
      'fa fa-chevron-circle-left' => '<i class="fa fa-chevron-circle-left"></i>',
      'fa fa-chevron-circle-right' => '<i class="fa fa-chevron-circle-right"></i>',
      'fa fa-chevron-circle-up' => '<i class="fa fa-chevron-circle-up"></i>',
      'fa fa-chevron-down' => '<i class="fa fa-chevron-down"></i>',
      'fa fa-chevron-left' => '<i class="fa fa-chevron-left"></i>',
      'fa fa-chevron-right' => '<i class="fa fa-chevron-right"></i>',
      'fa fa-chevron-up' => '<i class="fa fa-chevron-up"></i>',
      'fa fa-hand-o-down' => '<i class="fa fa-hand-o-down"></i>',
      'fa fa-hand-o-left' => '<i class="fa fa-hand-o-left"></i>',
      'fa fa-hand-o-right' => '<i class="fa fa-hand-o-right"></i>',
      'fa fa-hand-o-up' => '<i class="fa fa-hand-o-up"></i>',
      'fa fa-long-arrow-down' => '<i class="fa fa-long-arrow-down"></i>',
      'fa fa-long-arrow-left' => '<i class="fa fa-long-arrow-left"></i>',
      'fa fa-long-arrow-right' => '<i class="fa fa-long-arrow-right"></i>',
      'fa fa-long-arrow-up' => '<i class="fa fa-long-arrow-up"></i>',
      'fa fa-backward' => '<i class="fa fa-backward"></i>',
      'fa fa-compress' => '<i class="fa fa-compress"></i>',
      'fa fa-eject' => '<i class="fa fa-eject"></i>',
      'fa fa-expand' => '<i class="fa fa-expand"></i>',
      'fa fa-fast-backward' => '<i class="fa fa-fast-backward"></i>',
      'fa fa-fast-forward' => '<i class="fa fa-fast-forward"></i>',
      'fa fa-forward' => '<i class="fa fa-forward"></i>',
      'fa fa-pause' => '<i class="fa fa-pause"></i>',
      'fa fa-play' => '<i class="fa fa-play"></i>',
      'fa fa-play-circle' => '<i class="fa fa-play-circle"></i>',
      'fa fa-play-circle-o' => '<i class="fa fa-play-circle-o"></i>',
      'fa fa-step-backward' => '<i class="fa fa-step-backward"></i>',
      'fa fa-step-forward' => '<i class="fa fa-step-forward"></i>',
      'fa fa-stop' => '<i class="fa fa-stop"></i>',
      'fa fa-youtube-play' => '<i class="fa fa-youtube-play"></i>'
    );




    $fa_list = array(
      'fa fa-angellist' => 'fa fa-angellist',
      'fa fa-area-chart' => 'fa fa-area-chart',
      'fa fa-at' => 'fa fa-at',
      'fa fa-bell-slash' => 'fa fa-bell-slash',
      'fa fa-bell-slash-o' => 'fa fa-bell-slash-o',
      'fa fa-bicycle' => 'fa fa-bicycle',
      'fa fa-binoculars' => 'fa fa-binoculars',
      'fa fa-birthday-cake' => 'fa fa-birthday-cake',
      'fa fa-bus' => 'fa fa-bus',
      'fa fa-calculator' => 'fa fa-calculator',
      'fa fa-cc' => 'fa fa-cc',
      'fa fa-cc-amex' => 'fa fa-cc-amex',
      'fa fa-cc-discover' => 'fa fa-cc-discover',
      'fa fa-cc-mastercard' => 'fa fa-cc-mastercard',
      'fa fa-cc-paypal' => 'fa fa-cc-paypal',
      'fa fa-cc-stripe' => 'fa fa-cc-stripe',
      'fa fa-cc-visa' => 'fa fa-cc-visa',
      'fa fa-copyright' => 'fa fa-copyright',
      'fa fa-eyedropper' => 'fa fa-eyedropper',
      'fa fa-futbol-o' => 'fa fa-futbol-o',
      'fa fa-google-wallet' => 'fa fa-google-wallet',
      'fa fa-ils' => 'fa fa-ils',
      'fa fa-ioxhost' => 'fa fa-ioxhost',
      'fa fa-lastfm' => 'fa fa-lastfm',
      'fa fa-lastfm-square' => 'fa fa-lastfm-square',
      'fa fa-line-chart' => 'fa fa-line-chart',
      'fa fa-meanpath' => 'fa fa-meanpath',
      'fa fa-newspaper-o' => 'fa fa-newspaper-o',
      'fa fa-paint-brush' => 'fa fa-paint-brush',
      'fa fa-paypal' => 'fa fa-paypal',
      'fa fa-pie-chart' => 'fa fa-pie-chart',
      'fa fa-plug' => 'fa fa-plug',
      'fa fa-shekel' => 'fa fa-shekel',
      'fa fa-sheqel' => 'fa fa-sheqel',
      'fa fa-slideshare' => 'fa fa-slideshare',
      'fa fa-soccer-ball-o' => 'fa fa-soccer-ball-o',
      'fa fa-toggle-off' => 'fa fa-toggle-off',
      'fa fa-toggle-on' => 'fa fa-toggle-on',
      'fa fa-trash' => 'fa fa-trash',
      'fa fa-tty' => 'fa fa-tty',
      'fa fa-twitch' => 'fa fa-twitch',
      'fa fa-wifi' => 'fa fa-wifi',
      'fa fa-yelp' => 'fa fa-yelp',
      'fa fa-adjust' => 'fa fa-adjust',
      'fa fa-anchor' => 'fa fa-anchor',
      'fa fa-archive' => 'fa fa-archive',
      'fa fa-arrows' => 'fa fa-arrows',
      'fa fa-arrows-h' => 'fa fa-arrows-h',
      'fa fa-arrows-v' => 'fa fa-arrows-v',
      'fa fa-asterisk' => 'fa fa-asterisk',
      'fa fa-automobile' => 'fa fa-automobile',
      'fa fa-ban' => 'fa fa-ban',
      'fa fa-bank' => 'fa fa-bank',
      'fa fa-bar-chart' => 'fa fa-bar-chart',
      'fa fa-bar-chart-o' => 'fa fa-bar-chart-o',
      'fa fa-barcode' => 'fa fa-barcode',
      'fa fa-bars' => 'fa fa-bars',
      'fa fa-beer' => 'fa fa-beer',
      'fa fa-bell' => 'fa fa-bell',
      'fa fa-bell-o' => 'fa fa-bell-o',
      'fa fa-bolt' => 'fa fa-bolt',
      'fa fa-bomb' => 'fa fa-bomb',
      'fa fa-book' => 'fa fa-book',
      'fa fa-bookmark' => 'fa fa-bookmark',
      'fa fa-bookmark-o' => 'fa fa-bookmark-o',
      'fa fa-briefcase' => 'fa fa-briefcase',
      'fa fa-bug' => 'fa fa-bug',
      'fa fa-building' => 'fa fa-building',
      'fa fa-building-o' => 'fa fa-building-o',
      'fa fa-bullhorn' => 'fa fa-bullhorn',
      'fa fa-bullseye' => 'fa fa-bullseye',
      'fa fa-cab' => 'fa fa-cab',
      'fa fa-calendar' => 'fa fa-calendar',
      'fa fa-calendar-o' => 'fa fa-calendar-o',
      'fa fa-camera' => 'fa fa-camera',
      'fa fa-camera-retro' => 'fa fa-camera-retro',
      'fa fa-car' => 'fa fa-car',
      'fa fa-caret-square-o-down' => 'fa fa-caret-square-o-down',
      'fa fa-caret-square-o-left' => 'fa fa-caret-square-o-left',
      'fa fa-caret-square-o-right' => 'fa fa-caret-square-o-right',
      'fa fa-caret-square-o-up' => 'fa fa-caret-square-o-up',
      'fa fa-certificate' => 'fa fa-certificate',
      'fa fa-check' => 'fa fa-check',
      'fa fa-check-circle' => 'fa fa-check-circle',
      'fa fa-check-circle-o' => 'fa fa-check-circle-o',
      'fa fa-check-square' => 'fa fa-check-square',
      'fa fa-check-square-o' => 'fa fa-check-square-o',
      'fa fa-child' => 'fa fa-child',
      'fa fa-circle' => 'fa fa-circle',
      'fa fa-circle-o' => 'fa fa-circle-o',
      'fa fa-circle-o-notch' => 'fa fa-circle-o-notch',
      'fa fa-circle-thin' => 'fa fa-circle-thin',
      'fa fa-clock-o' => 'fa fa-clock-o',
      'fa fa-close' => 'fa fa-close',
      'fa fa-cloud' => 'fa fa-cloud',
      'fa fa-cloud-download' => 'fa fa-cloud-download',
      'fa fa-cloud-upload' => 'fa fa-cloud-upload',
      'fa fa-code' => 'fa fa-code',
      'fa fa-code-fork' => 'fa fa-code-fork',
      'fa fa-coffee' => 'fa fa-coffee',
      'fa fa-cog' => 'fa fa-cog',
      'fa fa-cogs' => 'fa fa-cogs',
      'fa fa-comment' => 'fa fa-comment',
      'fa fa-comment-o' => 'fa fa-comment-o',
      'fa fa-comments' => 'fa fa-comments',
      'fa fa-comments-o' => 'fa fa-comments-o',
      'fa fa-compass' => 'fa fa-compass',
      'fa fa-credit-card' => 'fa fa-credit-card',
      'fa fa-crop' => 'fa fa-crop',
      'fa fa-crosshairs' => 'fa fa-crosshairs',
      'fa fa-cube' => 'fa fa-cube',
      'fa fa-cubes' => 'fa fa-cubes',
      'fa fa-cutlery' => 'fa fa-cutlery',
      'fa fa-dashboard' => 'fa fa-dashboard',
      'fa fa-database' => 'fa fa-database',
      'fa fa-desktop' => 'fa fa-desktop',
      'fa fa-dot-circle-o' => 'fa fa-dot-circle-o',
      'fa fa-download' => 'fa fa-download',
      'fa fa-edit' => 'fa fa-edit',
      'fa fa-ellipsis-h' => 'fa fa-ellipsis-h',
      'fa fa-ellipsis-v' => 'fa fa-ellipsis-v',
      'fa fa-envelope' => 'fa fa-envelope',
      'fa fa-envelope-o' => 'fa fa-envelope-o',
      'fa fa-envelope-square' => 'fa fa-envelope-square',
      'fa fa-eraser' => 'fa fa-eraser',
      'fa fa-exchange' => 'fa fa-exchange',
      'fa fa-exclamation' => 'fa fa-exclamation',
      'fa fa-exclamation-circle' => 'fa fa-exclamation-circle',
      'fa fa-exclamation-triangle' => 'fa fa-exclamation-triangle',
      'fa fa-external-link' => 'fa fa-external-link',
      'fa fa-external-link-square' => 'fa fa-external-link-square',
      'fa fa-eye' => 'fa fa-eye',
      'fa fa-eye-slash' => 'fa fa-eye-slash',
      'fa fa-fax' => 'fa fa-fax',
      'fa fa-female' => 'fa fa-female',
      'fa fa-fighter-jet' => 'fa fa-fighter-jet',
      'fa fa-file-archive-o' => 'fa fa-file-archive-o',
      'fa fa-file-audio-o' => 'fa fa-file-audio-o',
      'fa fa-file-code-o' => 'fa fa-file-code-o',
      'fa fa-file-excel-o' => 'fa fa-file-excel-o',
      'fa fa-file-image-o' => 'fa fa-file-image-o',
      'fa fa-file-movie-o' => 'fa fa-file-movie-o',
      'fa fa-file-pdf-o' => 'fa fa-file-pdf-o',
      'fa fa-file-photo-o' => 'fa fa-file-photo-o',
      'fa fa-file-picture-o' => 'fa fa-file-picture-o',
      'fa fa-file-powerpoint-o' => 'fa fa-file-powerpoint-o',
      'fa fa-file-sound-o' => 'fa fa-file-sound-o',
      'fa fa-file-video-o' => 'fa fa-file-video-o',
      'fa fa-file-word-o' => 'fa fa-file-word-o',
      'fa fa-file-zip-o' => 'fa fa-file-zip-o',
      'fa fa-film' => 'fa fa-film',
      'fa fa-filter' => 'fa fa-filter',
      'fa fa-fire' => 'fa fa-fire',
      'fa fa-fire-extinguisher' => 'fa fa-fire-extinguisher',
      'fa fa-flag' => 'fa fa-flag',
      'fa fa-flag-checkered' => 'fa fa-flag-checkered',
      'fa fa-flag-o' => 'fa fa-flag-o',
      'fa fa-flash' => 'fa fa-flash',
      'fa fa-flask' => 'fa fa-flask',
      'fa fa-folder' => 'fa fa-folder',
      'fa fa-folder-o' => 'fa fa-folder-o',
      'fa fa-folder-open' => 'fa fa-folder-open',
      'fa fa-folder-open-o' => 'fa fa-folder-open-o',
      'fa fa-frown-o' => 'fa fa-frown-o',
      'fa fa-gamepad' => 'fa fa-gamepad',
      'fa fa-gavel' => 'fa fa-gavel',
      'fa fa-gear' => 'fa fa-gear',
      'fa fa-gears' => 'fa fa-gears',
      'fa fa-gift' => 'fa fa-gift',
      'fa fa-glass' => 'fa fa-glass',
      'fa fa-globe' => 'fa fa-globe',
      'fa fa-graduation-cap' => 'fa fa-graduation-cap',
      'fa fa-group' => 'fa fa-group',
      'fa fa-hdd-o' => 'fa fa-hdd-o',
      'fa fa-headphones' => 'fa fa-headphones',
      'fa fa-heart' => 'fa fa-heart',
      'fa fa-heart-o' => 'fa fa-heart-o',
      'fa fa-history' => 'fa fa-history',
      'fa fa-home' => 'fa fa-home',
      'fa fa-image' => 'fa fa-image',
      'fa fa-inbox' => 'fa fa-inbox',
      'fa fa-info' => 'fa fa-info',
      'fa fa-info-circle' => 'fa fa-info-circle',
      'fa fa-institution' => 'fa fa-institution',
      'fa fa-key' => 'fa fa-key',
      'fa fa-keyboard-o' => 'fa fa-keyboard-o',
      'fa fa-language' => 'fa fa-language',
      'fa fa-laptop' => 'fa fa-laptop',
      'fa fa-leaf' => 'fa fa-leaf',
      'fa fa-legal' => 'fa fa-legal',
      'fa fa-lemon-o' => 'fa fa-lemon-o',
      'fa fa-level-down' => 'fa fa-level-down',
      'fa fa-level-up' => 'fa fa-level-up',
      'fa fa-life-bouy' => 'fa fa-life-bouy',
      'fa fa-life-buoy' => 'fa fa-life-buoy',
      'fa fa-life-ring' => 'fa fa-life-ring',
      'fa fa-life-saver' => 'fa fa-life-saver',
      'fa fa-lightbulb-o' => 'fa fa-lightbulb-o',
      'fa fa-location-arrow' => 'fa fa-location-arrow',
      'fa fa-lock' => 'fa fa-lock',
      'fa fa-magic' => 'fa fa-magic',
      'fa fa-magnet' => 'fa fa-magnet',
      'fa fa-mail-forward' => 'fa fa-mail-forward',
      'fa fa-mail-reply' => 'fa fa-mail-reply',
      'fa fa-mail-reply-all' => 'fa fa-mail-reply-all',
      'fa fa-male' => 'fa fa-male',
      'fa fa-map-marker' => 'fa fa-map-marker',
      'fa fa-meh-o' => 'fa fa-meh-o',
      'fa fa-microphone' => 'fa fa-microphone',
      'fa fa-microphone-slash' => 'fa fa-microphone-slash',
      'fa fa-minus' => 'fa fa-minus',
      'fa fa-minus-circle' => 'fa fa-minus-circle',
      'fa fa-minus-square' => 'fa fa-minus-square',
      'fa fa-minus-square-o' => 'fa fa-minus-square-o',
      'fa fa-mobile' => 'fa fa-mobile',
      'fa fa-mobile-phone' => 'fa fa-mobile-phone',
      'fa fa-money' => 'fa fa-money',
      'fa fa-moon-o' => 'fa fa-moon-o',
      'fa fa-mortar-board' => 'fa fa-mortar-board',
      'fa fa-music' => 'fa fa-music',
      'fa fa-navicon' => 'fa fa-navicon',
      'fa fa-paper-plane' => 'fa fa-paper-plane',
      'fa fa-paper-plane-o' => 'fa fa-paper-plane-o',
      'fa fa-paw' => 'fa fa-paw',
      'fa fa-pencil' => 'fa fa-pencil',
      'fa fa-pencil-square' => 'fa fa-pencil-square',
      'fa fa-pencil-square-o' => 'fa fa-pencil-square-o',
      'fa fa-phone' => 'fa fa-phone',
      'fa fa-phone-square' => 'fa fa-phone-square',
      'fa fa-photo' => 'fa fa-photo',
      'fa fa-picture-o' => 'fa fa-picture-o',
      'fa fa-plane' => 'fa fa-plane',
      'fa fa-plus' => 'fa fa-plus',
      'fa fa-plus-circle' => 'fa fa-plus-circle',
      'fa fa-plus-square' => 'fa fa-plus-square',
      'fa fa-plus-square-o' => 'fa fa-plus-square-o',
      'fa fa-power-off' => 'fa fa-power-off',
      'fa fa-print' => 'fa fa-print',
      'fa fa-puzzle-piece' => 'fa fa-puzzle-piece',
      'fa fa-qrcode' => 'fa fa-qrcode',
      'fa fa-question' => 'fa fa-question',
      'fa fa-question-circle' => 'fa fa-question-circle',
      'fa fa-quote-left' => 'fa fa-quote-left',
      'fa fa-quote-right' => 'fa fa-quote-right',
      'fa fa-random' => 'fa fa-random',
      'fa fa-recycle' => 'fa fa-recycle',
      'fa fa-refresh' => 'fa fa-refresh',
      'fa fa-remove' => 'fa fa-remove',
      'fa fa-reorder' => 'fa fa-reorder',
      'fa fa-reply' => 'fa fa-reply',
      'fa fa-reply-all' => 'fa fa-reply-all',
      'fa fa-retweet' => 'fa fa-retweet',
      'fa fa-road' => 'fa fa-road',
      'fa fa-rocket' => 'fa fa-rocket',
      'fa fa-rss' => 'fa fa-rss',
      'fa fa-rss-square' => 'fa fa-rss-square',
      'fa fa-search' => 'fa fa-search',
      'fa fa-search-minus' => 'fa fa-search-minus',
      'fa fa-search-plus' => 'fa fa-search-plus',
      'fa fa-send' => 'fa fa-send',
      'fa fa-send-o' => 'fa fa-send-o',
      'fa fa-share' => 'fa fa-share',
      'fa fa-share-alt' => 'fa fa-share-alt',
      'fa fa-share-alt-square' => 'fa fa-share-alt-square',
      'fa fa-share-square' => 'fa fa-share-square',
      'fa fa-share-square-o' => 'fa fa-share-square-o',
      'fa fa-shield' => 'fa fa-shield',
      'fa fa-shopping-cart' => 'fa fa-shopping-cart',
      'fa fa-sign-in' => 'fa fa-sign-in',
      'fa fa-sign-out' => 'fa fa-sign-out',
      'fa fa-signal' => 'fa fa-signal',
      'fa fa-sitemap' => 'fa fa-sitemap',
      'fa fa-sliders' => 'fa fa-sliders',
      'fa fa-smile-o' => 'fa fa-smile-o',
      'fa fa-sort' => 'fa fa-sort',
      'fa fa-sort-alpha-asc' => 'fa fa-sort-alpha-asc',
      'fa fa-sort-alpha-desc' => 'fa fa-sort-alpha-desc',
      'fa fa-sort-amount-asc' => 'fa fa-sort-amount-asc',
      'fa fa-sort-amount-desc' => 'fa fa-sort-amount-desc',
      'fa fa-sort-asc' => 'fa fa-sort-asc',
      'fa fa-sort-desc' => 'fa fa-sort-desc',
      'fa fa-sort-down' => 'fa fa-sort-down',
      'fa fa-sort-numeric-asc' => 'fa fa-sort-numeric-asc',
      'fa fa-sort-numeric-desc' => 'fa fa-sort-numeric-desc',
      'fa fa-sort-up' => 'fa fa-sort-up',
      'fa fa-space-shuttle' => 'fa fa-space-shuttle',
      'fa fa-spinner' => 'fa fa-spinner',
      'fa fa-spoon' => 'fa fa-spoon',
      'fa fa-square' => 'fa fa-square',
      'fa fa-square-o' => 'fa fa-square-o',
      'fa fa-star' => 'fa fa-star',
      'fa fa-star-half' => 'fa fa-star-half',
      'fa fa-star-half-empty' => 'fa fa-star-half-empty',
      'fa fa-star-half-full' => 'fa fa-star-half-full',
      'fa fa-star-half-o' => 'fa fa-star-half-o',
      'fa fa-star-o' => 'fa fa-star-o',
      'fa fa-suitcase' => 'fa fa-suitcase',
      'fa fa-sun-o' => 'fa fa-sun-o',
      'fa fa-support' => 'fa fa-support',
      'fa fa-tablet' => 'fa fa-tablet',
      'fa fa-tachometer' => 'fa fa-tachometer',
      'fa fa-tag' => 'fa fa-tag',
      'fa fa-tags' => 'fa fa-tags',
      'fa fa-tasks' => 'fa fa-tasks',
      'fa fa-taxi' => 'fa fa-taxi',
      'fa fa-terminal' => 'fa fa-terminal',
      'fa fa-thumb-tack' => 'fa fa-thumb-tack',
      'fa fa-thumbs-down' => 'fa fa-thumbs-down',
      'fa fa-thumbs-o-down' => 'fa fa-thumbs-o-down',
      'fa fa-thumbs-o-up' => 'fa fa-thumbs-o-up',
      'fa fa-thumbs-up' => 'fa fa-thumbs-up',
      'fa fa-ticket' => 'fa fa-ticket',
      'fa fa-times' => 'fa fa-times',
      'fa fa-times-circle' => 'fa fa-times-circle',
      'fa fa-times-circle-o' => 'fa fa-times-circle-o',
      'fa fa-tint' => 'fa fa-tint',
      'fa fa-toggle-down' => 'fa fa-toggle-down',
      'fa fa-toggle-left' => 'fa fa-toggle-left',
      'fa fa-toggle-right' => 'fa fa-toggle-right',
      'fa fa-toggle-up' => 'fa fa-toggle-up',
      'fa fa-trash-o' => 'fa fa-trash-o',
      'fa fa-tree' => 'fa fa-tree',
      'fa fa-trophy' => 'fa fa-trophy',
      'fa fa-truck' => 'fa fa-truck',
      'fa fa-umbrella' => 'fa fa-umbrella',
      'fa fa-university' => 'fa fa-university',
      'fa fa-unlock' => 'fa fa-unlock',
      'fa fa-unlock-alt' => 'fa fa-unlock-alt',
      'fa fa-unsorted' => 'fa fa-unsorted',
      'fa fa-upload' => 'fa fa-upload',
      'fa fa-user' => 'fa fa-user',
      'fa fa-users' => 'fa fa-users',
      'fa fa-video-camera' => 'fa fa-video-camera',
      'fa fa-volume-down' => 'fa fa-volume-down',
      'fa fa-volume-off' => 'fa fa-volume-off',
      'fa fa-volume-up' => 'fa fa-volume-up',
      'fa fa-warning' => 'fa fa-warning',
      'fa fa-wheelchair' => 'fa fa-wheelchair',
      'fa fa-wrench' => 'fa fa-wrench',
      'fa fa-file' => 'fa fa-file',
      'fa fa-file-o' => 'fa fa-file-o',
      'fa fa-file-text' => 'fa fa-file-text',
      'fa fa-file-text-o' => 'fa fa-file-text-o',
      'fa fa-bitcoin' => 'fa fa-bitcoin',
      'fa fa-btc' => 'fa fa-btc',
      'fa fa-cny' => 'fa fa-cny',
      'fa fa-dollar' => 'fa fa-dollar',
      'fa fa-eur' => 'fa fa-eur',
      'fa fa-euro' => 'fa fa-euro',
      'fa fa-gbp' => 'fa fa-gbp',
      'fa fa-inr' => 'fa fa-inr',
      'fa fa-jpy' => 'fa fa-jpy',
      'fa fa-krw' => 'fa fa-krw',
      'fa fa-rmb' => 'fa fa-rmb',
      'fa fa-rouble' => 'fa fa-rouble',
      'fa fa-rub' => 'fa fa-rub',
      'fa fa-ruble' => 'fa fa-ruble',
      'fa fa-rupee' => 'fa fa-rupee',
      'fa fa-try' => 'fa fa-try',
      'fa fa-turkish-lira' => 'fa fa-turkish-lira',
      'fa fa-usd' => 'fa fa-usd',
      'fa fa-won' => 'fa fa-won',
      'fa fa-yen' => 'fa fa-yen',
      'fa fa-align-center' => 'fa fa-align-center',
      'fa fa-align-justify' => 'fa fa-align-justify',
      'fa fa-align-left' => 'fa fa-align-left',
      'fa fa-align-right' => 'fa fa-align-right',
      'fa fa-bold' => 'fa fa-bold',
      'fa fa-chain' => 'fa fa-chain',
      'fa fa-chain-broken' => 'fa fa-chain-broken',
      'fa fa-clipboard' => 'fa fa-clipboard',
      'fa fa-columns' => 'fa fa-columns',
      'fa fa-copy' => 'fa fa-copy',
      'fa fa-cut' => 'fa fa-cut',
      'fa fa-dedent' => 'fa fa-dedent',
      'fa fa-files-o' => 'fa fa-files-o',
      'fa fa-floppy-o' => 'fa fa-floppy-o',
      'fa fa-font' => 'fa fa-font',
      'fa fa-header' => 'fa fa-header',
      'fa fa-indent' => 'fa fa-indent',
      'fa fa-italic' => 'fa fa-italic',
      'fa fa-link' => 'fa fa-link',
      'fa fa-list' => 'fa fa-list',
      'fa fa-list-alt' => 'fa fa-list-alt',
      'fa fa-list-ol' => 'fa fa-list-ol',
      'fa fa-list-ul' => 'fa fa-list-ul',
      'fa fa-outdent' => 'fa fa-outdent',
      'fa fa-paperclip' => 'fa fa-paperclip',
      'fa fa-paragraph' => 'fa fa-paragraph',
      'fa fa-paste' => 'fa fa-paste',
      'fa fa-repeat' => 'fa fa-repeat',
      'fa fa-rotate-left' => 'fa fa-rotate-left',
      'fa fa-rotate-right' => 'fa fa-rotate-right',
      'fa fa-save' => 'fa fa-save',
      'fa fa-scissors' => 'fa fa-scissors',
      'fa fa-strikethrough' => 'fa fa-strikethrough',
      'fa fa-subscript' => 'fa fa-subscript',
      'fa fa-superscript' => 'fa fa-superscript',
      'fa fa-table' => 'fa fa-table',
      'fa fa-text-height' => 'fa fa-text-height',
      'fa fa-text-width' => 'fa fa-text-width',
      'fa fa-th' => 'fa fa-th',
      'fa fa-th-large' => 'fa fa-th-large',
      'fa fa-th-list' => 'fa fa-th-list',
      'fa fa-underline' => 'fa fa-underline',
      'fa fa-undo' => 'fa fa-undo',
      'fa fa-unlink' => 'fa fa-unlink',
      'fa fa-angle-double-down' => 'fa fa-angle-double-down',
      'fa fa-angle-double-left' => 'fa fa-angle-double-left',
      'fa fa-angle-double-right' => 'fa fa-angle-double-right',
      'fa fa-angle-double-up' => 'fa fa-angle-double-up',
      'fa fa-angle-down' => 'fa fa-angle-down',
      'fa fa-angle-left' => 'fa fa-angle-left',
      'fa fa-angle-right' => 'fa fa-angle-right',
      'fa fa-angle-up' => 'fa fa-angle-up',
      'fa fa-arrow-circle-down' => 'fa fa-arrow-circle-down',
      'fa fa-arrow-circle-left' => 'fa fa-arrow-circle-left',
      'fa fa-arrow-circle-o-down' => 'fa fa-arrow-circle-o-down',
      'fa fa-arrow-circle-o-left' => 'fa fa-arrow-circle-o-left',
      'fa fa-arrow-circle-o-right' => 'fa fa-arrow-circle-o-right',
      'fa fa-arrow-circle-o-up' => 'fa fa-arrow-circle-o-up',
      'fa fa-arrow-circle-right' => 'fa fa-arrow-circle-right',
      'fa fa-arrow-circle-up' => 'fa fa-arrow-circle-up',
      'fa fa-arrow-down' => 'fa fa-arrow-down',
      'fa fa-arrow-left' => 'fa fa-arrow-left',
      'fa fa-arrow-right' => 'fa fa-arrow-right',
      'fa fa-arrow-up' => 'fa fa-arrow-up',
      'fa fa-arrows-alt' => 'fa fa-arrows-alt',
      'fa fa-caret-down' => 'fa fa-caret-down',
      'fa fa-caret-left' => 'fa fa-caret-left',
      'fa fa-caret-right' => 'fa fa-caret-right',
      'fa fa-caret-up' => 'fa fa-caret-up',
      'fa fa-chevron-circle-down' => 'fa fa-chevron-circle-down',
      'fa fa-chevron-circle-left' => 'fa fa-chevron-circle-left',
      'fa fa-chevron-circle-right' => 'fa fa-chevron-circle-right',
      'fa fa-chevron-circle-up' => 'fa fa-chevron-circle-up',
      'fa fa-chevron-down' => 'fa fa-chevron-down',
      'fa fa-chevron-left' => 'fa fa-chevron-left',
      'fa fa-chevron-right' => 'fa fa-chevron-right',
      'fa fa-chevron-up' => 'fa fa-chevron-up',
      'fa fa-hand-o-down' => 'fa fa-hand-o-down',
      'fa fa-hand-o-left' => 'fa fa-hand-o-left',
      'fa fa-hand-o-right' => 'fa fa-hand-o-right',
      'fa fa-hand-o-up' => 'fa fa-hand-o-up',
      'fa fa-long-arrow-down' => 'fa fa-long-arrow-down',
      'fa fa-long-arrow-left' => 'fa fa-long-arrow-left',
      'fa fa-long-arrow-right' => 'fa fa-long-arrow-right',
      'fa fa-long-arrow-up' => 'fa fa-long-arrow-up',
      'fa fa-backward' => 'fa fa-backward',
      'fa fa-compress' => 'fa fa-compress',
      'fa fa-eject' => 'fa fa-eject',
      'fa fa-expand' => 'fa fa-expand',
      'fa fa-fast-backward' => 'fa fa-fast-backward',
      'fa fa-fast-forward' => 'fa fa-fast-forward',
      'fa fa-forward' => 'fa fa-forward',
      'fa fa-pause' => 'fa fa-pause',
      'fa fa-play' => 'fa fa-play',
      'fa fa-play-circle' => 'fa fa-play-circle',
      'fa fa-play-circle-o' => 'fa fa-play-circle-o',
      'fa fa-step-backward' => 'fa fa-step-backward',
      'fa fa-step-forward' => 'fa fa-step-forward',
      'fa fa-stop' => 'fa fa-stop',
      'fa fa-youtube-play' => 'fa fa-youtube-play'
    );




$line_icons_font_i = array(
      'icon-user' => '<i class="icon-user"></i>',
      'icon-people' => '<i class="icon-people"></i>',
      'icon-user-female' => '<i class="icon-user-female"></i>',
      'icon-user-follow' => '<i class="icon-user-follow"></i>',
      'icon-user-following' => '<i class="icon-user-following"></i>',
      'icon-user-unfollow' => '<i class="icon-user-unfollow"></i>',
      'icon-login' => '<i class="icon-login"></i>',
      'icon-logout' => '<i class="icon-logout"></i>',
      'icon-emotsmile' => '<i class="icon-emotsmile"></i>',
      'icon-phone' => '<i class="icon-phone"></i>',
      'icon-call-end' => '<i class="icon-call-end"></i>',
      'icon-call-in' => '<i class="icon-call-in"></i>',
      'icon-call-out' => '<i class="icon-call-out"></i>',
      'icon-map' => '<i class="icon-map"></i>',
      'icon-location-pin' => '<i class="icon-location-pin"></i>',
      'icon-direction' => '<i class="icon-direction"></i>',
      'icon-directions' => '<i class="icon-directions"></i>',
      'icon-compass' => '<i class="icon-compass"></i>',
      'icon-layers' => '<i class="icon-layers"></i>',
      'icon-menu' => '<i class="icon-menu"></i>',
      'icon-list' => '<i class="icon-list"></i>',
      'icon-options-vertical' => '<i class="icon-options-vertical"></i>',
      'icon-options' => '<i class="icon-options"></i>',
      'icon-arrow-down' => '<i class="icon-arrow-down"></i>',
      'icon-arrow-left' => '<i class="icon-arrow-left"></i>',
      'icon-arrow-right' => '<i class="icon-arrow-right"></i>',
      'icon-arrow-up' => '<i class="icon-arrow-up"></i>',
      'icon-arrow-up-circle' => '<i class="icon-arrow-up-circle"></i>',
      'icon-arrow-left-circle' => '<i class="icon-arrow-left-circle"></i>',
      'icon-arrow-right-circle' => '<i class="icon-arrow-right-circle"></i>',
      'icon-arrow-down-circle' => '<i class="icon-arrow-down-circle"></i>',
      'icon-check' => '<i class="icon-check"></i>',
      'icon-clock' => '<i class="icon-clock"></i>',
      'icon-plus' => '<i class="icon-plus"></i>',
      'icon-close' => '<i class="icon-close"></i>',
      'icon-trophy' => '<i class="icon-trophy"></i>',
      'icon-screen-smartphone' => '<i class="icon-screen-smartphone"></i>',
      'icon-screen-desktop' => '<i class="icon-screen-desktop"></i>',
      'icon-plane' => '<i class="icon-plane"></i>',
      'icon-notebook' => '<i class="icon-notebook"></i>',
      'icon-mustache' => '<i class="icon-mustache"></i>',
      'icon-mouse' => '<i class="icon-mouse"></i>',
      'icon-magnet' => '<i class="icon-magnet"></i>',
      'icon-energy' => '<i class="icon-energy"></i>',
      'icon-disc' => '<i class="icon-disc"></i>',
      'icon-cursor' => '<i class="icon-cursor"></i>',
      'icon-cursor-move' => '<i class="icon-cursor-move"></i>',
      'icon-crop' => '<i class="icon-crop"></i>',
      'icon-chemistry' => '<i class="icon-chemistry"></i>',
      'icon-speedometer' => '<i class="icon-speedometer"></i>',
      'icon-shield' => '<i class="icon-shield"></i>',
      'icon-screen-tablet' => '<i class="icon-screen-tablet"></i>',
      'icon-magic-wand' => '<i class="icon-magic-wand"></i>',
      'icon-hourglass' => '<i class="icon-hourglass"></i>',
      'icon-graduation' => '<i class="icon-graduation"></i>',
      'icon-ghost' => '<i class="icon-ghost"></i>',
      'icon-game-controller' => '<i class="icon-game-controller"></i>',
      'icon-fire' => '<i class="icon-fire"></i>',
      'icon-eyeglass' => '<i class="icon-eyeglass"></i>',
      'icon-envelope-open' => '<i class="icon-envelope-open"></i>',
      'icon-envelope-letter' => '<i class="icon-envelope-letter"></i>',
      'icon-bell' => '<i class="icon-bell"></i>',
      'icon-badge' => '<i class="icon-badge"></i>',
      'icon-anchor' => '<i class="icon-anchor"></i>',
      'icon-wallet' => '<i class="icon-wallet"></i>',
      'icon-vector' => '<i class="icon-vector"></i>',
      'icon-speech' => '<i class="icon-speech"></i>',
      'icon-puzzle' => '<i class="icon-puzzle"></i>',
      'icon-printer' => '<i class="icon-printer"></i>',
      'icon-present' => '<i class="icon-present"></i>',
      'icon-playlist' => '<i class="icon-playlist"></i>',
      'icon-pin' => '<i class="icon-pin"></i>',
      'icon-picture' => '<i class="icon-picture"></i>',
      'icon-handbag' => '<i class="icon-handbag"></i>',
      'icon-globe-alt' => '<i class="icon-globe-alt"></i>',
      'icon-globe' => '<i class="icon-globe"></i>',
      'icon-folder-alt' => '<i class="icon-folder-alt"></i>',
      'icon-folder' => '<i class="icon-folder"></i>',
      'icon-film' => '<i class="icon-film"></i>',
      'icon-feed' => '<i class="icon-feed"></i>',
      'icon-drop' => '<i class="icon-drop"></i>',
      'icon-drawar' => '<i class="icon-drawar"></i>',
      'icon-docs' => '<i class="icon-docs"></i>',
      'icon-doc' => '<i class="icon-doc"></i>',
      'icon-diamond' => '<i class="icon-diamond"></i>',
      'icon-cup' => '<i class="icon-cup"></i>',
      'icon-calculator' => '<i class="icon-calculator"></i>',
      'icon-bubbles' => '<i class="icon-bubbles"></i>',
      'icon-briefcase' => '<i class="icon-briefcase"></i>',
      'icon-book-open' => '<i class="icon-book-open"></i>',
      'icon-basket-loaded' => '<i class="icon-basket-loaded"></i>',
      'icon-basket' => '<i class="icon-basket"></i>',
      'icon-bag' => '<i class="icon-bag"></i>',
      'icon-action-undo' => '<i class="icon-action-undo"></i>',
      'icon-action-redo' => '<i class="icon-action-redo"></i>',
      'icon-wrench' => '<i class="icon-wrench"></i>',
      'icon-umbrella' => '<i class="icon-umbrella"></i>',
      'icon-trash' => '<i class="icon-trash"></i>',
      'icon-tag' => '<i class="icon-tag"></i>',
      'icon-support' => '<i class="icon-support"></i>',
      'icon-frame' => '<i class="icon-frame"></i>',
      'icon-size-fullscreen' => '<i class="icon-size-fullscreen"></i>',
      'icon-size-actual' => '<i class="icon-size-actual"></i>',
      'icon-shuffle' => '<i class="icon-shuffle"></i>',
      'icon-share-alt' => '<i class="icon-share-alt"></i>',
      'icon-share' => '<i class="icon-share"></i>',
      'icon-rocket' => '<i class="icon-rocket"></i>',
      'icon-question' => '<i class="icon-question"></i>',
      'icon-pie-chart' => '<i class="icon-pie-chart"></i>',
      'icon-pencil' => '<i class="icon-pencil"></i>',
      'icon-note' => '<i class="icon-note"></i>',
      'icon-loop' => '<i class="icon-loop"></i>',
      'icon-home' => '<i class="icon-home"></i>',
      'icon-grid' => '<i class="icon-grid"></i>',
      'icon-graph' => '<i class="icon-graph"></i>',
      'icon-microphone' => '<i class="icon-microphone"></i>',
      'icon-music-tone-alt' => '<i class="icon-music-tone-alt"></i>',
      'icon-music-tone' => '<i class="icon-music-tone"></i>',
      'icon-earphones-alt' => '<i class="icon-earphones-alt"></i>',
      'icon-earphones' => '<i class="icon-earphones"></i>',
      'icon-equalizer' => '<i class="icon-equalizer"></i>',
      'icon-like' => '<i class="icon-like"></i>',
      'icon-dislike' => '<i class="icon-dislike"></i>',
      'icon-control-start' => '<i class="icon-control-start"></i>',
      'icon-control-rewind' => '<i class="icon-control-rewind"></i>',
      'icon-control-play' => '<i class="icon-control-play"></i>',
      'icon-control-pause' => '<i class="icon-control-pause"></i>',
      'icon-control-forward' => '<i class="icon-control-forward"></i>',
      'icon-control-end' => '<i class="icon-control-end"></i>',
      'icon-volume-1' => '<i class="icon-volume-1"></i>',
      'icon-volume-2' => '<i class="icon-volume-2"></i>',
      'icon-volume-off' => '<i class="icon-volume-off"></i>',
      'icon-calendar' => '<i class="icon-calendar"></i>',
      'icon-bulb' => '<i class="icon-bulb"></i>',
      'icon-chart' => '<i class="icon-chart"></i>',
      'icon-ban' => '<i class="icon-ban"></i>',
      'icon-bubble' => '<i class="icon-bubble"></i>',
      'icon-camrecorder' => '<i class="icon-camrecorder"></i>',
      'icon-camera' => '<i class="icon-camera"></i>',
      'icon-cloud-download' => '<i class="icon-cloud-download"></i>',
      'icon-cloud-upload' => '<i class="icon-cloud-upload"></i>',
      'icon-envelope' => '<i class="icon-envelope"></i>',
      'icon-eye' => '<i class="icon-eye"></i>',
      'icon-flag' => '<i class="icon-flag"></i>',
      'icon-heart' => '<i class="icon-heart"></i>',
      'icon-info' => '<i class="icon-info"></i>',
      'icon-key' => '<i class="icon-key"></i>',
      'icon-link' => '<i class="icon-link"></i>',
      'icon-lock' => '<i class="icon-lock"></i>',
      'icon-lock-open' => '<i class="icon-lock-open"></i>',
      'icon-magnifier' => '<i class="icon-magnifier"></i>',
      'icon-magnifier-add' => '<i class="icon-magnifier-add"></i>',
      'icon-magnifier-remove' => '<i class="icon-magnifier-remove"></i>',
      'icon-paper-clip' => '<i class="icon-paper-clip"></i>',
      'icon-paper-plane' => '<i class="icon-paper-plane"></i>',
      'icon-power' => '<i class="icon-power"></i>',
      'icon-refresh' => '<i class="icon-refresh"></i>',
      'icon-reload' => '<i class="icon-reload"></i>',
      'icon-settings' => '<i class="icon-settings"></i>',
      'icon-star' => '<i class="icon-star"></i>',
      'icon-symble-female' => '<i class="icon-symble-female"></i>',
      'icon-symbol-male' => '<i class="icon-symbol-male"></i>',
      'icon-target' => '<i class="icon-target"></i>',
      'icon-credit-card' => '<i class="icon-credit-card"></i>',
      'icon-paypal' => '<i class="icon-paypal"></i>',
      'icon-social-tumblr' => '<i class="icon-social-tumblr"></i>',
      'icon-social-twitter' => '<i class="icon-social-twitter"></i>',
      'icon-social-facebook' => '<i class="icon-social-facebook"></i>',
      'icon-social-instagram' => '<i class="icon-social-instagram"></i>',
      'icon-social-linkedin' => '<i class="icon-social-linkedin"></i>',
      'icon-social-pinterest' => '<i class="icon-social-pinterest"></i>',
      'icon-social-github' => '<i class="icon-social-github"></i>',
      'icon-social-reddit' => '<i class="icon-social-reddit"></i>',
      'icon-social-skype' => '<i class="icon-social-skype"></i>',
      'icon-social-dribbble' => '<i class="icon-social-dribbble"></i>',
      'icon-social-behance' => '<i class="icon-social-behance"></i>',
      'icon-social-foursqare' => '<i class="icon-social-foursqare"></i>',
      'icon-social-soundcloud' => '<i class="icon-social-soundcloud"></i>',
      'icon-social-spotify' => '<i class="icon-social-spotify"></i>',
      'icon-social-stumbleupon' => '<i class="icon-social-stumbleupon"></i>',
      'icon-social-youtube' => '<i class="icon-social-youtube"></i>',
      'icon-social-dropbox' => '<i class="icon-social-dropbox"></i>',
);



      /**
      ||-> Metaboxes: For CPT - [service]
      */
      $meta_boxes['our_services_metaboxs'] = array(
            'id'         => 'our_services_metaboxs',
            'title'      => __( 'MT Services Custom Options', 'modeltheme' ),
            'pages'      => array( 'service' ), // Post type
            'context'    => 'normal',
            'priority'   => 'high',
            'show_names' => true, // Show field names on the left
            'fields'     => array(
                  array(
                        'name'       => __( 'Service Subtitle', 'modeltheme' ),
                        'desc'       => __( 'Eg: Efficiently unleash cross-media information', 'modeltheme' ),
                        'id'         => $prefix . 'service_subtitle',
                        'type'       => 'text',
                  ),
                  array(
                        'name'    => __( 'Select Icons Library', 'modeltheme' ),
                        'desc'    => __( 'If "Yes" - Page Options will rewrite Theme Options', 'modeltheme' ),
                        'id'      => $prefix . 'select_font',
                        'type'    => 'select',
                        'options' => array(
                            'font-awesome-icons' => __( 'Font Awesome', 'modeltheme' ),
                            'simple-line-icons' => __( 'Simple Line Icons', 'modeltheme' ),
                        ),
                        'default' => 'font-awesome-icons',
                  ),
                  array(
                        'name'    => 'Select a Line Icon',
                        'id'      => $prefix . 'font-simple-line-icons',
                        'type'    => 'radio',
                        'options' => $line_icons_font_i,
                        'default' => 'first_header',
                  ),
                  array(
                        'name'    => __( 'Select a FontAwesome Icon', 'modeltheme' ),
                        'desc'    => __( '', 'modeltheme' ),
                        'id'      => $prefix . 'font-awesome-icons',
                        'type'    => 'radio',
                        'options' => $fa_list_i,
                        'default' => ''
                  )
            ),
      );



      /**
      ||-> Metaboxes: For CPT - [testimonial]
      */
      $meta_boxes['testimonials_metaboxs'] = array(
            'id'         => 'testimonials_metaboxs',
            'title'      => __( 'MT Testimonials Custom Options', 'modeltheme' ),
            'pages'      => array( 'testimonial' ), // Post type
            'context'    => 'normal',
            'priority'   => 'high',
            'show_names' => true, // Show field names on the left
            'fields'     => array(
                  array(
                        'name'    => __( 'Testimonial background', 'modeltheme' ),
                        'desc'    => __( 'Set the background color of the testimonial', 'modeltheme' ),
                        'id'      => 'testimonial_bg_color',
                        'type'    => 'colorpicker',
                        'default' => '#A1D042'
                  ),
                  array(
                        'name'    => __( 'Testimonial color', 'modeltheme' ),
                        'desc'    => __( 'Set the color of the testimonial', 'modeltheme' ),
                        'id'      => 'testimonial_color',
                        'type'    => 'colorpicker',
                        'default' => '#80A734'
                  ),
                  array(
                        'name'       => __( 'Job Position', 'modeltheme' ),
                        'desc'       => __( 'Enter testimonial author job position', 'modeltheme' ),
                        'id'         => 'job-position',
                        'type'       => 'text',
                  ),
                  array(
                        'name'       => __( 'Company', 'modeltheme' ),
                        'desc'       => __( 'Enter testimonial author company name', 'modeltheme' ),
                        'id'         => 'company',
                        'type'       => 'text',
                  )
            ),
      );


      


      /**

      ||-> Metaboxes: For Members - [members]

      */
      $meta_boxes['members_metaboxs'] = array(
            'id'         => 'members_metaboxs',
            'title'      => __( 'MT Members Custom Options', 'modeltheme' ),
            'pages'      => array( 'member' ), // Post type
            'context'    => 'normal',
            'priority'   => 'high',
            'show_names' => true, // Show field names on the left
            'fields'     => array(
                  array(
                        'name'    => __( 'Member position', 'modeltheme' ),
                        'desc'    => __( 'Set the member position', 'modeltheme' ),
                        'id'      => $prefix . 'member_position',
                        'type'    => 'text',
                        'default' => 'Director'
                  ),
                  array(
                        'name'    => __( 'Member email', 'modeltheme' ),
                        'desc'    => __( 'Set the member email', 'modeltheme' ),
                        'id'      => $prefix . 'member_email',
                        'type'    => 'text',
                        'default' => 'Email@email.com'
                  ),
                  array(
                        'name'    => __( 'Member phone', 'modeltheme' ),
                        'desc'    => __( 'Set the member phone', 'modeltheme' ),
                        'id'      => $prefix . 'member_phone',
                        'type'    => 'text',
                        'default' => '+1 234 567 890'
                  ),
                                    array(
                        'name'    => __( 'Facebook profile', 'modeltheme' ),
                        'desc'    => __( 'Set the facebook URL', 'modeltheme' ),
                        'id'      => $prefix . 'facebook_profile',
                        'type'    => 'text',
                        'default' => 'https://www.facebook.com/modeltheme/'
                  ),
                  array(
                        'name'    => __( 'Twitter profile', 'modeltheme' ),
                        'desc'    => __( 'Set the twitter profile', 'modeltheme' ),
                        'id'      => $prefix . 'twitter_profile',
                        'type'    => 'text',
                        'default' => 'envato'
                  ),
                  array(
                        'name'    => __( 'Linkedin profile', 'modeltheme' ),
                        'desc'    => __( 'Set the linkedin URL', 'modeltheme' ),
                        'id'      => $prefix . 'linkedin_profile',
                        'type'    => 'text',
                        'default' => 'https://www.linkedin.com/'
                  ),
                  array(
                        'name'    => __( 'Vimeo', 'modeltheme' ),
                        'desc'    => __( 'Set the vimeo URL', 'modeltheme' ),
                        'id'      => $prefix . 'vimeo_url',
                        'type'    => 'text',
                        'default' => 'https://vimeo.com/'
                  )
            ),
      );


      /**

      ||-> Metaboxes: For - [page]

      */
      // REVSLIDERS
      global $wpdb;
      $limit_small    = 0;
      $limit_high     = 50;
      $tablename      = $wpdb->prefix . "revslider_sliders";
      if($wpdb->get_var("SHOW TABLES LIKE '$tablename'") == $tablename) {
            $sql            = $wpdb->prepare( "SELECT * FROM $tablename LIMIT %d, %d", $limit_small, $limit_high);
            $sliders        = $wpdb->get_results($sql, ARRAY_A);

            $revliders = array(); 
            if ($sliders) {
                  $revliders[] = array(
                        'name'  => 'Please select a slider',
                        'value' => ''
                  );
                  foreach($sliders as $slide){
                        $revliders[] = array(
                              'name'  => $slide['title'],
                              'value' => $slide['alias']
                        );
                  }
            }
      }else{
            $revliders = array(); 
      }


      // SIDEBARS
      $sidebar_options = array();
      $sidebars = $GLOBALS['wp_registered_sidebars'];

      if($sidebars){
            foreach ( $sidebars as $sidebar ){
                  $sidebar_options[] = array(
                        'name'  => $sidebar['name'],
                        'value' => $sidebar['id']
                  );
            }
      }



    // NAV MENUS LIST for DropDown
	$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
	$menu_select['default'] = 'Default Menu';
	foreach ( $menus as $menu ) {
		$menu_select[$menu->term_id] = $menu->name;
	}



      $meta_boxes['page_metaboxs'] = array(
            'id'         => 'page_metaboxs',
            'title'      => __( 'MT Custom Options', 'modeltheme' ),
            'pages'      => array( 
                                    'page', 
                                    'post', 
                                    'mt_event', 
                                    'mt_job', 
                                    'testimonial', 
                                    'portfolio', 
                                    'member',
                                    'service',
                                    'clients'
                              ), // Post type
            'context'    => 'normal',
            'priority'   => 'high',
            'show_names' => true, // Show field names on the left
            'fields'     => array(
                  /**
                  HEADER
                  */
                  array(
                        'name' => '<h1>Custom Header Options</h1>',
                        'desc' => 'These options replaces the Theme Options for current page.',
                        'type' => 'title',
                        'id' => $prefix . 'test_title'
                  ),
                  // array(
                  //    'name' => 'Main Navigation Menu',
                  //    'desc' => 'Select which menu displays on this page.',
                  //    'id' => $prefix . 'page_custom_menu',
                  //    'type' => 'select',
                  //    'options' => $menu_select
                  // ),
                  array(
                        'name'    => __( 'Rewrite Theme Options?', 'modeltheme' ),
                        'desc'    => __( 'If "Yes" - Page Options will rewrite Theme Options', 'modeltheme' ),
                        'id'      => $prefix . 'custom_header_options_status',
                        'type'    => 'select',
                        'options' => array(
                            'yes' => __( 'Yes', 'modeltheme' ),
                            'no' => __( 'No', 'modeltheme' ),
                        ),
                        'default' => 'no',
                  ),
                  array(
                      'name'    => 'Fixed Navigation',
                      'desc'    => 'Select an option',
                      'id'      => $prefix . 'header_custom_fixed_navigation',
                      'type'    => 'select',
                      'options' => array(
                          'enabled' => __( 'Enabled', 'modeltheme' ),
                          'disabled'   => __( 'Disabled', 'modeltheme' )
                      ),
                      'default' => 'enabled',
                  ),
                  array(
                        'name'    => __( 'Header Custom background color', 'modeltheme' ),
                        'desc'    => __( 'Set the background color of the header(Default: #04ABE9)', 'modeltheme' ),
                        'id'      => 'mt_header_custom_bg_color',
                        'type'    => 'colorpicker',
                        'default' => '#232331'
                  ),
                  array(
                      'name'    => 'Semi Transparent Header',
                      'desc'    => 'For use if page has Slider or Featured Image',
                      'id'      => 'mt_header_semitransparent',
                      'type'    => 'select',
                      'options' => array(
                          'enabled' => __( 'Enabled', 'modeltheme' ),
                          'disabled'   => __( 'Disabled', 'modeltheme' )
                      ),
                      'default' => 'disabled',
                  ),
                  array(
                      'name'    => 'Semi Transparent Header Opacity',
                      'desc'    => 'Select a value from 0 to 1(0.1, 0.2 etc)',
                      'id'      => 'mt_header_semitransparentr_rgba_value',
                      'type'    => 'select',
                      'options' => array(
                          '0.0'       => __( '0', 'modeltheme' ),
                          '0.1'     => __( '0.1', 'modeltheme' ),
                          '0.2'     => __( '0.2', 'modeltheme' ),
                          '0.3'     => __( '0.3', 'modeltheme' ),
                          '0.4'     => __( '0.4', 'modeltheme' ),
                          '0.5'     => __( '0.5', 'modeltheme' ),
                          '0.6'     => __( '0.6', 'modeltheme' ),
                          '0.7'     => __( '0.7', 'modeltheme' ),
                          '0.8'     => __( '0.8', 'modeltheme' ),
                          '0.9'     => __( '0.9', 'modeltheme' ),
                          '1'       => __( '1', 'modeltheme' )
                      ),
                      'default' => '0.2',
                  ),
                  array(
                      'name'    => 'Semi Transparent Header Opacity (After Scroll)',
                      'desc'    => 'Select a value from 0 to 1(0.1, 0.2 etc)',
                      'id'      => 'mt_header_semitransparentr_rgba_value_scroll',
                      'type'    => 'select',
                      'options' => array(
                          '0'       => __( '0', 'modeltheme' ),
                          '0.1'     => __( '0.1', 'modeltheme' ),
                          '0.2'     => __( '0.2', 'modeltheme' ),
                          '0.3'     => __( '0.3', 'modeltheme' ),
                          '0.4'     => __( '0.4', 'modeltheme' ),
                          '0.5'     => __( '0.5', 'modeltheme' ),
                          '0.6'     => __( '0.6', 'modeltheme' ),
                          '0.7'     => __( '0.7', 'modeltheme' ),
                          '0.8'     => __( '0.8', 'modeltheme' ),
                          '0.9'     => __( '0.9', 'modeltheme' ),
                          '1'       => __( '1', 'modeltheme' )
                      ),
                      'default' => '0.9',
                  ),
                  array(
                        'name' => 'Custom Logo',
                        'desc' => 'Upload an image or enter an URL.',
                        'id' => $prefix . 'header_custom_logo',
                        'type' => 'file',
                        'allow' => array( 
                              'url', 
                              'attachment' 
                        )
                  ),
                  array(
                      'name'    => 'Select Header Variant',
                      'id'      => $prefix . 'header_custom_variant',
                      'type'    => 'radio',
                      'options' => array(
                          '1'        => '<img src="'.plugins_url().'/modeltheme-framework/inc/metaboxes/assets/headers/1.png" alt="Header v1" />',
                          '2'        => '<img src="'.plugins_url().'/modeltheme-framework/inc/metaboxes/assets/headers/2.png" alt="Header v2" />'
                      ),
                      'default' => 'first_header',
                  ),
                  array(
                        'name'    => __( 'Select Revolution Slider', 'modeltheme' ),
                        'desc'    => __( '', 'modeltheme' ),
                        'id'      => 'select_revslider_shortcode',
                        'type'    => 'select',
                        'options' => $revliders,
                        'default' => 'default',
                  ),
                  array(
                        'name'    => __( 'Page title-breadcrumbs', 'modeltheme' ),
                        'desc'    => __( '', 'modeltheme' ),
                        'id'      => 'breadcrumbs_on_off',
                        'type'    => 'select',
                        'options' => array(
                              'no' => __( 'Off - Hide title-breadcrumbs area', 'modeltheme' ),
                              'yes' => __( 'On - Show title-breadcrumbs area', 'modeltheme' ),
                        ),
                        'default' => 'yes',
                  ),
                 



                  /**
                  General Page Options
                  */
                  array(
                      'name' => '<h1>General Page Options</h1>',
                      'desc' => 'These options replaces the Theme Options for current page.',
                      'type' => 'title',
                      'id' => $prefix . 'test_title'
                  ),
                  array(
                        'name'    => __( 'Page top/bottom spacing', 'modeltheme' ),
                        'desc'    => __( '', 'modeltheme' ),
                        'id'      => 'page_spacing',
                        'type'    => 'select',
                        'options' => array(
                              'high-padding' => __( 'High Padding', 'modeltheme' ),
                              'no-padding' => __( 'No Padding', 'modeltheme' ),
                              'no-padding-top' => __( 'No Padding top', 'modeltheme' ),
                              'no-padding-bottom' => __( 'No Padding bottom', 'modeltheme' ),
                        ),
                        'default' => 'high-padding',
                  ),
                  array(
                        'name' => __( 'Disable Page Preloader', 'modeltheme' ),
                        'desc' => __( 'Check to disable page preloader', 'modeltheme' ),
                        'id'   => 'mt_page_preloader_status',
                        'type' => 'checkbox',
                  ),
                  array(
                        'name'    => __( 'Page Preloader Background Color', 'modeltheme' ),
                        'desc'    => __( 'Set the background color of the Page Preloader(Default: #04ABE9)', 'modeltheme' ),
                        'id'      => 'mt_page_preloader_bg_color',
                        'type'    => 'colorpicker',
                        'default' => ''
                  ),

                  /**
                  FOOTER
                  */
                  array(
                      'name' => '<h1>Custom Footer Options</h1>',
                      'desc' => 'These options replaces the Theme Options for current page.',
                      'type' => 'title',
                      'id' => 'mt_test_title'
                  ),
                  array(
                        'name' => __( 'Disable Footer Row #1', 'modeltheme' ),
                        'desc' => __( 'Check to disable footer row 1 (if enabled from Theme Options Panel)', 'modeltheme' ),
                        'id'   => 'mt_footer_row1_status',
                        'type' => 'checkbox',
                  ),
                  array(
                        'name' => __( 'Disable Footer Row #2', 'modeltheme' ),
                        'desc' => __( 'Check to disable footer row 2 (if enabled from Theme Options Panel)', 'modeltheme' ),
                        'id'   => 'mt_footer_row2_status',
                        'type' => 'checkbox',
                  ),
                  array(
                        'name' => __( 'Disable Footer Row #3', 'modeltheme' ),
                        'desc' => __( 'Check to disable footer row 3 (if enabled from Theme Options Panel)', 'modeltheme' ),
                        'id'   => 'mt_footer_row3_status',
                        'type' => 'checkbox',
                  ),
                  array(
                        'name' => __( 'Disable Footer Bottom Bar', 'modeltheme' ),
                        'desc' => __( 'Check to disable footer bottom copyright bar', 'modeltheme' ),
                        'id'   => 'mt_footer_bottom_bar',
                        'type' => 'checkbox',
                  ),

            ),
      );

    // Add other metaboxes as needed
    return $meta_boxes;
}

?>