<?php

/**

||-> Shortcode: Search Domain

*/
function modeltheme_search_domain_without_tlds_shortcode_without_tlds($params, $content) {
    extract( shortcode_atts( 
        array(
            'whmcs_link'                      => '',
            'whmcs_input_placeholder_text'    => '',
            'whmcs_button_text'               => '',
            'animation'                       => '',
            'style_variant'                   => '',
            'background_color'                => ''
        ), $params ) ); 
    $content = '';
    if($style_variant == "style2") {
        $style      = "boxed_stl";
        $input      = "col-sm-9";
        $button     = "col-sm-3";
    } else if ($style_variant == "") {
        $input      = "col-sm-10";
        $button     = "col-sm-2";
    }
    $content .= '<form action="'.$whmcs_link.'" method="get" id="hostclustersearch" class="wow '.$style.' '.$animation.'">';
        $content .= '<div class="row hostcluster-row">';
            $content .= '<div class="'.$input.'">';
                $content .= '<input type="hidden" name="ccce" value="cart">';
                $content .= '<input type="hidden" name="a" value="add">';
                $content .= '<input type="hidden" name="domain" value="register">';
                $content .= '<input class="form-control" name="query" type="text" placeholder="'.$whmcs_input_placeholder_text.'" required="">';
            $content .= '</div>';
            $content .= '<div class="'.$button.'">';
                $content .= '<button class="btn submit-search-domain" type="submit" style="background: '.$background_color.'">'.$whmcs_button_text.'</button>';
            $content .= '</div>';
        $content .= '</div>';
    $content .= '</form>';
    return $content;
}
add_shortcode('search_domain_without_tlds', 'modeltheme_search_domain_without_tlds_shortcode_without_tlds');



/**

||-> Map Shortcode in Visual Composer with: vc_map();

*/
if ( is_plugin_active( 'js_composer/js_composer.php' ) ) {

    require_once __DIR__ . '/../vc-shortcodes.inc.arrays.php';

    vc_map( 
        array(
            "name" => esc_attr__("MT - Search Domain without tlds", 'modeltheme'),
            "base" => "search_domain_without_tlds",
            "category" => esc_attr__('MT: ModelTheme', 'modeltheme'),
            "icon" => "smartowl_shortcode",
            "params" => array(
                array(
                    "group" => "Options",
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => esc_attr__( "WHMCS Site Link", 'modeltheme' ),
                    "param_name" => "whmcs_link",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "group" => "Options",
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => esc_attr__( "WHMCS Input placeholder text", 'modeltheme' ),
                    "param_name" => "whmcs_input_placeholder_text",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "group" => "Options",
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => esc_attr__( "WHMCS Button text", 'modeltheme' ),
                    "param_name" => "whmcs_button_text",
                    "value" => "",
                    "description" => ""
                ),
                 array(
                    "group" => "Styling",
                    "type" => "dropdown",
                    "holder" => "div",
                    "class" => "",
                    "heading" => esc_attr__("Style Variant", 'modeltheme'),
                    "param_name" => "style_variant",
                    "value" => array(
                        'Select Style'          => '',
                        'Style 1 (Original)'    => '',
                        'Style 2 (Data Center)'    => 'style2'
                    )
                ),
                array(
                    "group" => "Styling",
                    "type" => "colorpicker",
                    "class" => "",
                    "heading" => esc_attr__( "Choose custom background button color", 'modeltheme' ),
                    "param_name" => "background_color",
                    "description" => esc_attr__( "Choose custom background button color", 'modeltheme' )
                ),  
                array(
                    "group" => "Animation",
                    "type" => "dropdown",
                    "heading" => esc_attr__("Animation", 'modeltheme'),
                    "param_name" => "animation",
                    "std" => '',
                    "holder" => "div",
                    "class" => "",
                    "description" => "",
                    "value" => $animations_list
                ), 
                
            )
        )
    );
}